<?php 

namespace Rtg\RtgTtaddressExtend\UserFunc;
use TYPO3\CMS\Extbase\Utility\LocalizationUtility;

/**
 * Class with methods to extend tt_address TCA
 *
 * @author Robert G. <>
 */
class Tca {	

	public function map($config) {		

        $filePath = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('rtg_ttaddress_extend');
		
		$fiedset =  '<div class="cbgm_geocoding">';
		$fiedset .= '<script src="https://maps.google.com/maps/api/js?sensor=false" type="text/javascript"></script>';  
		$fiedset .= '<script src="'.$filePath.'Resources/Public/JavaScript/class.gmaps.js" type="text/javascript"></script>';  
		$fiedset .= '<script src="'.$filePath.'Resources/Public/JavaScript/geocoding.js" type="text/javascript"></script>';  
		$fiedset .= '<div class="form-control-wrap">';
		$fiedset .= '<input type="button" onclick="doGeocoding(\''.$config['row']['uid'].'\')" value="'.LocalizationUtility::translate('button_fetch_coordinates', 'rtg_ttaddress_extend').'" class="btn btn-sm btn-default"> ';
		$fiedset .= '<input type="button" onclick="displayLocation(\''.$config['row']['uid'].'\')" value="'.LocalizationUtility::translate('button_display_map', 'rtg_ttaddress_extend').'" class="btn btn-sm btn-default">';
		$fiedset .= '</div>';
		$fiedset .= '<div id="cbgm_previewLocation"></div>';
		$fiedset .= '</div>';
		
		return $fiedset;
	}
}
