<?php

if (!defined('TYPO3_MODE')) {
	die('Access denied.');
}

/**
 * Extend tt_address
 *
 */
$GLOBALS['TCA']['tt_address']['ctrl']['label'] = 'name';
$GLOBALS['TCA']['tt_address']['ctrl']['label_alt'] = 'address';

$GLOBALS['TCA']['tt_address']['palettes']['address'] = array(
	'showitem' => 'address, --linebreak--, city, zip, country',
	'canNotCollapse' => 1
);
$GLOBALS['TCA']['tt_address']['palettes']['contact'] = array(
	'showitem' => 'email, phone',
	'canNotCollapse' => 1
);
$GLOBALS['TCA']['tt_address']['palettes']['map'] = array(
	'showitem' => 'latitude, longitude, --linebreak--, map',
	'canNotCollapse' => 1
);

$GLOBALS['TCA']['tt_address']['columns']['address']['config'] = array(
	'type' => 'input',	
	'size' => '40',	
	'max' => '255',	
	'eval' => 'trim'
);

$GLOBALS['TCA']['tt_address']['columns']['addressgroup']['config']['renderType'] = 'selectCheckBox'; // selectSingle

$GLOBALS['TCA']['tt_address']['columns']['map'] = array(
	'exclude' => 1,
	'label' => 'LLL:EXT:rtg_ttaddress_extend/Resources/Private/Language/locallang.xml:map',
	'config' => array(
		'type' => 'user',
		'userFunc' => 'Rtg\RtgTtaddressExtend\UserFunc\Tca->map',
	)
);

$GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['cms']['db_layout']['addTables']['tt_address'][0] = array(
	'MENU' => '',
	'fList' => 'name, address, city, zip, country',
	'icon' => TRUE
);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes(
	'tt_address',
	'--div--;LLL:EXT:rtg_ttaddress_extend/Resources/Private/Language/locallang.xml:map, --palette--;;map;;',
	'0'
);
